<?php
namespace Nexus\Catalog\Controller\Adminhtml\Category\ExportCsv;

/**
 * Interceptor class for @see \Nexus\Catalog\Controller\Adminhtml\Category\ExportCsv
 */
class Interceptor extends \Nexus\Catalog\Controller\Adminhtml\Category\ExportCsv implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\App\Action\Context $context, \Magento\Framework\App\Response\Http\FileFactory $fileFactory, \Magento\Framework\App\Filesystem\DirectoryList $directoryList, \Magento\Framework\View\Result\PageFactory $resultPageFactory, \Nexus\Catalog\Model\CategoryPositionFactory $categoryPositionFactory, \Magento\Framework\File\Csv $csvWriter, \Magento\Catalog\Model\ProductFactory $productFactory)
    {
        $this->___init();
        parent::__construct($context, $fileFactory, $directoryList, $resultPageFactory, $categoryPositionFactory, $csvWriter, $productFactory);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
